> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Version

> Retrieve an [agent version](https://app.voker.ai/docs/concepts/agents#agent-versions).



## OpenAPI

````yaml /openapi.json get /api/v1/agents/{agent_name}/agent-versions/{agent_version_name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://evals.voker.ai/api/v1
security: []
paths:
  /api/v1/agents/{agent_name}/agent-versions/{agent_version_name}:
    get:
      summary: Get Agent Version
      description: >-
        Retrieve an [agent
        version](https://app.voker.ai/docs/concepts/agents#agent-versions).
      operationId: >-
        get_agent_version_api_v1_agents__agent_name__agent_versions__agent_version_name__get
      parameters:
        - name: agent_name
          in: path
          required: true
          schema:
            type: string
            examples:
              - customer-support-agent
            title: Agent Name
        - name: agent_version_name
          in: path
          required: true
          schema:
            type: string
            examples:
              - v1
            title: Agent Version Name
        - name: Authorization
          in: header
          required: true
          schema:
            examples:
              - Bearer 123
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentVersion'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AgentNotFoundResponse'
                  - $ref: '#/components/schemas/AgentVersionNotFoundResponse'
                title: >-
                  Response 404 Get Agent Version Api V1 Agents  Agent Name 
                  Agent Versions  Agent Version Name  Get
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentVersion:
      properties:
        agent_version_name:
          type: string
          title: Agent Version Name
          description: Unique identifier for the agent version within its agent.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        agent_version_number:
          type: integer
          title: Agent Version Number
          description: Unique number assigned to the agent version within its agent.
        created_at:
          type: string
          format: date-time
          title: Created At
        deprecated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deprecated At
      type: object
      required:
        - agent_version_name
        - agent_version_number
        - created_at
      title: AgentVersion
      description: >-
        Represents an agent version.


        See [Agent
        Versions](https://app.voker.ai/docs/concepts/agents#agent-versions) for
        more information.
      examples:
        - agent_version_name: v1
          agent_version_number: 1
          created_at: '2023-01-01T00:00:00Z'
          description: The first version of the customer support agent.
    AgentNotFoundResponse:
      properties:
        type:
          type: string
          const: agent-not-found
          title: Type
          default: agent-not-found
      type: object
      title: AgentNotFoundResponse
      description: Response model for agent not found errors.
    AgentVersionNotFoundResponse:
      properties:
        type:
          type: string
          const: agent-version-not-found
          title: Type
          default: agent-version-not-found
      type: object
      title: AgentVersionNotFoundResponse
      description: Response model for agent version not found errors.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````